/******************************************************************************

                              Online C++ Compiler.
               Code, Compile, Run and Debug C++ program online.
Write your code in this editor and press "Run" button to compile and execute it.

*******************************************************************************/

#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n,k,x;
    cin>>n>>k>>x;
    
    vector<int> a;
    vector<int> resenja;
    for(int i=0;i<n;i++){
        int pom;
        cin>>pom;
        a.push_back(pom);
    }
    
    for(int i=0;i<a.size()-2;i++){
        int l=i;
        int c=1;
        long long s=0;
        while(l<i+k){
            s+=a[l]*c;
            if(c<x){
                c++;
            }
            l++;
        }
        resenja.push_back(s);
    }
    
    for(int i=0;i<resenja.size();i++){
        cout<<resenja[i]<<endl;
    }
    return 0;
}